<?xml version='1.1' encoding='UTF-8'?>
<!--

     Copyright (c) 2020 - 2024 Henix, henix.fr

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.

-->
<flow-definition plugin="workflow-job@2.30">
  <actions/>
  <description></description>
  <keepDependencies>false</keepDependencies>
  <properties/>
  <definition class="org.jenkinsci.plugins.workflow.cps.CpsFlowDefinition" plugin="workflow-cps@2.13">
    <script>node {
   stage &apos;Stage 1 : sanity check&apos;
   echo &apos;OK pipelines work in the test instance&apos;
   stage &apos;Stage 2 : steps check&apos;
   configFileProvider([
            configFile(fileId: &apos;inception_peac.yaml&apos;, targetLocation: &apos;testWorkflow.yaml&apos;),
            configFile(fileId: &apos;TEST-ForecastSuite.xml&apos;, targetLocation: &apos;TEST-ForecastSuite.xml&apos;)
    ]) {
       def workflow_id = runSquashWorkflow(
           workflowPathName:&apos;testWorkflow.yaml&apos;,
           workflowTimeout: &apos;20S&apos;,
           serverName:&apos;defaultServer&apos;,
           fileResources: [ref(&apos;name&apos;:&apos;myfile&apos;,&apos;path&apos;:&apos;TEST-ForecastSuite.xml&apos;)]
       )

       echo &quot;We just ran The Squash TF2 workflow $workflow_id&quot;
   }
}</script>
    <sandbox>true</sandbox>
  </definition>
  <triggers/>
  <disabled>false</disabled>
</flow-definition>